Subject: RE: sshd and RSA Authentication - General Troubleshooting
From: "Kevin Wright" <[email-masked]>
To: "Kim Lee" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 18 Feb 2001 22:25:43 -0700

Dear Kim,

Another thing you can try is to run cygcheck. For example:

kwright@HOLSTEIN-MOBILE /usr/sbin
$ cygcheck sshd.exe
Found: .\sshd.exe
.\sshd.exe
  C:\WINNT\System32\cygwin1.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll

Running strace also can show what a program is doing. If you
know about these things already, please ignore this advise. 

Perhaps I should contribute an FAQ entry on general 
troubleshooting. A quick search through the FAQ didn't turn up a:
What to do when things don't work. or Troubleshooting tips. hmmm...

--Kevin

> -----Original Message-----
> From: Kim Lee [mailto:[email-masked]]
> Sent: Sunday, February 18, 2001 11:03 PM
> To: Kevin Wright
> Cc: [email-masked]
> Subject: Re: sshd and RSA Authentication
> 
> 
> Kevin Wright wrote:
> > 
> > Kim,
> > 
> > I have you looked in /usr/doc? Here's a list of files there:
> > 
> > bzip2-1.0.1.README      jbigkit-1.2.README      ncurses-5.2.README
> > vim-5.7.README
> > crypt.README            jpeg-6b.README          openssh-2.3.0p1.README
> > wget-1.6.README
> > cvs-1.11.0.README       libpng-1.0.9.README     perl-5.6.1.README
> > xpm-4.0.0.README
> > gdbm-1.8.0.README       login.README            readline-4.1.README
> > zip-2.3.README
> > gettext-0.10.35.README  mt.README               tiff-3.5.5.README
> > zlib-1.1.3.README
> > inetutils-1.3.2.README  ncftp-3.0.2.README      unzip-5.41.README
> > 
> > check out the files for login, inetutils, openssh to begin 
> with. And if you
> > still have a problem. Search the mailing list:
> > 
> > http://cygwin.com/ml/cygwin/
> 
> Hi Kevin,
> 
> Actually I did... 
> 
> BUT
> 
> <red faced>
> I was running an old version of sshd.exe in \winnt but I can't explain
> why on earth typing in sshd -d called the old version when it was in
> \d\winnt ie not in the path
> 
> This will teach me to use full paths where possible when testing!
> </red faced>
> 
> Thanks! :)
> Cheers
> ----------------------------------------------------------------------
> Kim Lee                         Senior Engineer - Bulletproof Networks
> ph: +61 (0) 416 212 025                 http://www.bulletproof.net.au/
>                    "When failure is not an option"
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple